Download a Gmail attachment's bytes as the calling member
curl --request GET \
--url http://api.den.local/v1/capabilities/google-workspace/gmail-attachment/{messageId}/{attachmentId}import requests
url = "http://api.den.local/v1/capabilities/google-workspace/gmail-attachment/{messageId}/{attachmentId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://api.den.local/v1/capabilities/google-workspace/gmail-attachment/{messageId}/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"messageId": "<string>",
"attachmentId": "<string>",
"size": 123,
"dataBase64": "<string>"
}{
"error": "unauthorized"
}{
"error": "needs_connection",
"message": "<string>"
}{
"error": "google_api_error",
"message": "<string>"
}Capability Sources
Download a Gmail attachment's bytes as the calling member
Downloads one Gmail attachment (file) as base64-encoded bytes, using the messageId and the attachmentId from the gmail-message capability’s attachments metadata. Decode dataBase64 locally to reconstruct the file, e.g. a PDF or spreadsheet, then extract its contents.
GET
/
v1
/
capabilities
/
google-workspace
/
gmail-attachment
/
{messageId}
/
{attachmentId}
Download a Gmail attachment's bytes as the calling member
Path Parameters
Gmail message id that contains the attachment.
Required string length:
1 - 512Attachment id from the gmail-message capability's attachments metadata.
Required string length:
1 - 2048Was this page helpful?